# Khaotic Engine Reborn: ecs::ModelPathComponent Class Reference

Loading...
Searching...
No Matches
ecs::ModelPathComponent Class Reference
Inheritance diagram for ecs::ModelPathComponent:

## Public Member Functions

| ModelPathComponent (const std::wstring &path)
void | Initialize () override
void | Update (float deltaTime) override
const std::wstring & | GetPath () const
void | SetPath (const std::wstring &path)
Public Member Functions inherited from ecs::Component
| Component (const Component &)=delete
Component & | operator= (const Component &)=delete
| Component (Component &&)=default
Component & | operator= (Component &&)=default

## Detailed Description

Definition at line 7 of file model_path_component.h.

## Constructor & Destructor Documentation

## ModelPathComponent()

ecs::ModelPathComponent::ModelPathComponent | ( | const std::wstring & | path | ) |

inlineexplicit

Definition at line 10 of file model_path_component.h.

: m_path(path) {}

## Member Function Documentation

## GetPath()

const std::wstring & ecs::ModelPathComponent::GetPath | ( |  | ) | const

inline

Get the path of the model.

Returns
  The path as a std::wstring.

Definition at line 20 of file model_path_component.h.

{ return m_path; }

## Initialize()

void ecs::ModelPathComponent::Initialize | ( |  | ) |

inlineoverridevirtual

Virtual function to initialize the component.

Reimplemented from ecs::Component.

Definition at line 13 of file model_path_component.h.

{}

## SetPath()

void ecs::ModelPathComponent::SetPath | ( | const std::wstring & | path | ) |

inline

Set the path of the model.

Parameters

  path | The path to set as a std::wstring.

Definition at line 25 of file model_path_component.h.

{ m_path = path; }

## Update()

void ecs::ModelPathComponent::Update | ( | float | deltaTime | ) |

inlineoverridevirtual

Virtual function to update the component.

Parameters

  deltaTime | Time since the last update.

Reimplemented from ecs::Component.

Definition at line 14 of file model_path_component.h.

{}

The documentation for this class was generated from the following file:

- enginecustom/src/inc/system/ecs/components/model_path_component.h